<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Forms</title>
</head>
<body>
	<header>
	<h2 align="center">Welcome to the Forms Page</h2>
	</header>
	<!-- semantic tags: are new addition to HTML. semantic tags are tags which are meaningful and descriptive of the element they create. <em>, <strong> are samples of semantic  tags. There are other semantic tags that act musch like divs that they are containers of elements, text and even other containers.

	The Difference between a div and semantic container is that a semantic container is descriptive of the content that it contains even without relying to a semantic id.

	Semantic containers are preferred such as nav, main, section, header because they provide good SEO and it is much helpful and clearer for other developers looking at our code. -->
<nav>
	<ul>
		<li><a href="./index.html">Link to Index</a></li>
		<li><a href="./table.html">Link to Tables</a></li>
		<li><a href="../activity/contact.html">Link to Contacts</a></li>
	</ul>
</nav>
<!-- nav containers are mostly used to contain navigation links -->
<!-- main container is used to show main content of page. -->
<!-- section container is used to show sections of a page/container -->

<main>
	<section>
		<h2>HTML Forms</h2>
		<p>HTML Forms are used to gather information or data from our user and send that information to a server
		</p>
	</section>
	<!-- form tag allows us to crate a form. We can  then gather data or user input from our form and submit it to a server.

	action attribute in a form allows us to submit/pass the data to the s erver that given.

	label allows us to create an element that servers as a label or inducator to the input.

	for attribute allows to associate a label to a particular input element by passing the id of the input element as its value.

	input tag creates an input element for user input. 
	Input tag has many types which allows for different kinds of data to be gathered like text, number, date etc.

	Input type text allows us to create an input element that gathers text.

	Required attribute allows us to check if the input element is filled and if it is not, we cannot submit the form.

	autocomplete attribute allows us for your browser to provide suggestions to autocomplete your inputs for a better user experience.

	Buttons are elements which allows to do and interact with our page for certain tasks, type="submit" allows us to determine that the button is used to submit the form, type="reset" allows us to reset the input in the form.

	type=submit or type attribute for a button allows us to distinguish the action of that button. because if no type is indicated for a button, it will submit the form regardless of the text you added to it.

	Input type date changes the behavior of the input element that it allows for the input of dates.

	Option tag, allows us to create options/choies available for our select tag.

	Value attribute, is added to our option to provide value or data per option. This is done because options cannot be typed into and receive input.

	Input type radio allows us to create a radio button and provide users single selection out of multiple choices.

	Input type checkbox will create a checkbox for multiple selections among multiple choices.

	-->

	<section>
		<form action="http://google.com">
			<!-- full name -->
			<label for="fname">Full Name</label>
			<br>
			<!-- black bar -->
			<input type="text" name="fullname" id="fname" required autocomplete>
			<br>
			<!-- birthdate -->
			<label for="bday">Birthdate</label>
			<br>
			<input type="date" name="birthdate" id="bday" required>
			<br>
			<!-- age -->
			<label for="ageInput">Age</label>
			<br>
			<input type="number" name="age" id="ageInput" required min="18" max="40">
			<br>
			<!-- gender -->
			<label for="genderInput">Gender</label>
			<br>
			<select name="gender" id="genderInput" required>
				<option value="male">Male</option>
				<option value="female">Female</option>
				<option value="other">Other</option>
			</select>
			<br>
			<!-- radio button -->
			<label>New User?</label>
			<br>
			<input type="radio" name="new_user" id="radioUser1" value="yes">
			<label for="radioUser1">Yes</label>
			<br>
			<input type="radio" name="new_user" id="radioUser2" value="no">
			<label for="radioUser2">No</label>
			<br>
			<!-- checkbox -->
			<label>Role:</label>
			<br>
			<input type="checkbox" name="role1" id="roleInput1" value="developer">
			<label for="roleInput1">Developer</label>
			<br>
			<br>
			<input type="checkbox" name="role2" id="roleInput2" value="managers">
			<label for="roleInput2">Managers</label>
			<br>
			<br>
			<input type="checkbox" name="role3" id="roleInput3" value="Supervisors">
			<label for="roleInput3">Supervisors</label>
			<br>
			<br>
			<!-- submit button -->
			<button type="submit">Submit</button>
			<!-- reset button -->
			<button type="reset">Reset</button>
		</form>
	</section>
</main>


<ul>
	<li><a href="./index.html">Link to Index</a></li>
	<li><a href="./table.html">Link to Tables</a></li>
	<li><a href="../activity/contact.html">Link to Contacts</a></li>
</ul>

</body>
</html>